POST
/assets
http://mediapackage-vod.{region}.amazonaws.com/assetsCreates a new MediaPackage VOD Asset resource.
Access Token Required: API Key
Body Params
idstringrequired
The unique identifier for the Asset.
tagsobject
A collection of tags associated with a resource
sourceArnstringrequired
ARN of the source object in S3.
resourceIdstring
The resource ID to include in SPEKE key requests.
sourceRoleArnstringrequired
The IAM role ARN used to access the source S3 bucket.
packagingGroupIdstringrequired
The ID of the PackagingGroup for the Asset.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://mediapackage-vod.{region}.amazonaws.com/assets' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}